<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce_JPP_Panning_ITC_Add_Details" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="in_currentTableRowIndex" Type="InArgument(x:Int32)" />
    <x:Property Name="in_country" Type="InArgument(x:String)" />
    <x:Property Name="in_serviceCodeName" Type="InArgument(x:String)" />
    <x:Property Name="in_hours" Type="InArgument(x:String)" />
    <x:Property Name="in_currency" Type="InArgument(x:String)" />
    <x:Property Name="in_ITCCost" Type="InArgument(x:String)" />
    <x:Property Name="in_ITCBillable" Type="InArgument(x:String)" />
  </x:Members>
  <mva:VisualBasic.Settings>
    <x:Null />
  </mva:VisualBasic.Settings>
  <sap:VirtualizedContainerService.HintSize>746,1732.66666666667</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>Salesforce_JPP_Panning_ITC_Add_Details_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="35">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.ComponentModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
      <x:String>System.Xml.Serialization</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Security</x:String>
      <x:String>UiPath.Salesforce.ConnectionService</x:String>
      <x:String>UiPath.Salesforce.Models</x:String>
      <x:String>UiPath.Salesforce.Telemetry</x:String>
      <x:String>UiPath.Salesforce.Activities</x:String>
      <x:String>UiPath.Salesforce.Activities.Wizards.Models</x:String>
      <x:String>UiPath.Salesforce.Activities.Models</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="31">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.Salesforce</AssemblyReference>
      <AssemblyReference>UiPath.Salesforce.Activities</AssemblyReference>
      <AssemblyReference>UiPath.Salesforce.Activities.Wizards</AssemblyReference>
      <AssemblyReference>System.Runtime.WindowsRuntime</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Salesforce_JPP_Planning_ITC_Add_Details" sap:VirtualizedContainerService.HintSize="463.333333333333,1668" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Default="Salesforce_JPP_Planning_ITC_Add_Details" Name="componentName" />
      <Variable x:TypeArguments="x:String" Name="parentid" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="421.333333333333,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot; + componentName]" />
    <Sequence DisplayName="Complete tab details" sap:VirtualizedContainerService.HintSize="421.333333333333,1306.66666666667" sap2010:WorkflowViewState.IdRef="Sequence_2">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Click ITC tab" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_10" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Choose_Tab.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_tabName">ITC</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Get parentid for selectors on the page" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_11" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Get_ParentId_For_Selectors.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InOutArgument x:TypeArguments="x:String" x:Key="parentid">[parentid]</InOutArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" sap2010:Annotation.AnnotationText="" ClickType="CLICK_SINGLE" DisplayName="Click Add button" sap:VirtualizedContainerService.HintSize="379.333333333333,136.666666666667" sap2010:WorkflowViewState.IdRef="Click_3" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
        <ui:Click.CursorPosition>
          <ui:CursorPosition Position="Center">
            <ui:CursorPosition.OffsetX>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetX>
            <ui:CursorPosition.OffsetY>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:CursorPosition.OffsetY>
          </ui:CursorPosition>
        </ui:Click.CursorPosition>
        <ui:Click.Target>
          <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="c4368182-48e4-49d8-841c-ddcfcfa042d6" InformativeScreenshot="c39233b39673e0499518d1b811ae5ac4" Selector="&lt;html app='chrome.exe' title='Lightning Experience | Salesforce' /&gt;&lt;webctrl parentid='{{parentid}}' tag='LIGHTNING-LAYOUT-ITEM' class='slds-p-right_small slds-p-left_small' innertext='*{{in_serviceCodeName}}' parentclass='slds-slot' /&gt;&lt;nav up='1' /&gt;&lt;webctrl parentid='{{parentid}}' tag='BUTTON' type='button' class='slds-button slds-button_neutral' innertext='+' /&gt;" WaitForReady="COMPLETE">
            <ui:Target.TimeoutMS>
              <InArgument x:TypeArguments="x:Int32" />
            </ui:Target.TimeoutMS>
          </ui:Target>
        </ui:Click.Target>
        <sap:WorkflowViewStateService.ViewState>
          <scg:Dictionary x:TypeArguments="x:String, x:Object">
            <x:Boolean x:Key="IsAnnotationDocked">True</x:Boolean>
          </scg:Dictionary>
        </sap:WorkflowViewStateService.ViewState>
      </ui:Click>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Choose country from drop down menu" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_12" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Choose_From_DropDown.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_dropDownFieldName">Country</InArgument>
          <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">[in_currentTableRowIndex]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">[in_serviceCodeName]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputValue">[in_country]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentid">[parentid]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete Hourse (Quantity) field" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_13" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Complete_Input_Field.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputFieldName">Hours</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputValue">[in_hours]</InArgument>
          <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">[in_currentTableRowIndex]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">[in_serviceCodeName]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentid">[parentid]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Choose Invoice Currency from drop down" sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_14" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Choose_From_DropDown.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_dropDownFieldName">InvoiceCurrency</InArgument>
          <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">[in_currentTableRowIndex]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">[in_serviceCodeName]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputValue">[in_currency]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentid">[parentid]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete ITC Cost field " sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_15" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Complete_Input_Field.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputFieldName">ITCInvoiceCurrency</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputValue">[in_ITCCost]</InArgument>
          <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">[in_currentTableRowIndex]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">[in_serviceCodeName]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentid">[parentid]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
      <ui:InvokeWorkflowFile ContinueOnError="{x:Null}" DisplayName="Complete ITC Billable field " sap:VirtualizedContainerService.HintSize="379.333333333333,114" sap2010:WorkflowViewState.IdRef="InvokeWorkflowFile_16" UnSafe="False" WorkflowFileName="Components\Salesforce\Salesforce_JPP_Planning\Salesforce_JPP_Planning_Util_Components\Salesforce_JPP_Planning_Complete_Input_Field.xaml">
        <ui:InvokeWorkflowFile.Arguments>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputFieldName">ITCBillable</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_inputValue">[in_ITCBillable]</InArgument>
          <InArgument x:TypeArguments="x:Int32" x:Key="in_currentTableRowIndex">[in_currentTableRowIndex]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_serviceCodeName">[in_serviceCodeName]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentid">[parentid]</InArgument>
          <InArgument x:TypeArguments="x:String" x:Key="in_parentComponent">[componentName]</InArgument>
        </ui:InvokeWorkflowFile.Arguments>
      </ui:InvokeWorkflowFile>
    </Sequence>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="421.333333333333,94.6666666666667" sap2010:WorkflowViewState.IdRef="LogMessage_2" Level="Info" Message="[&quot;End: &quot; + componentName]" />
  </Sequence>
</Activity>